[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Request for Review: wpa_supplicant



On Thu, 2005-06-30 at 14:45 -0400, Chris Ricker wrote:
> On Thu, 30 Jun 2005, Douglas E. Warner wrote:
> 
> > http://hostap.epitest.fi/wpa_supplicant/
> > 
> > %description
> > wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with support
> > for WPA and WPA2 (IEEE 802.11i / RSN). Supplicant is the IEEE 802.1X/WPA
> > component that is used in the client stations. It implements key negotiation
> > with a WPA Authenticator and it controls the roaming and IEEE 802.11
> > authentication/association of the wlan driver.
> 
> First off, there may be legal issues. WPA is a trademark of the Wi-Fi 
> Alliance. If that means anything for Fedora, I don't know.... Anyone else 
> feeling more like playing armchair lawyer? ;-)

Brrr, not.  But whether the package is acceptable or not, the license of
wpa_supplicant is "GPL or BSD", not GPL alone AFAICS.

And pcsc-lite is in Extras, you could build support for it in.


> > $ rpmlint ../RPMS/wpa_supplicant-0.4.2-1.fc4.i386.rpm
> > W: wpa_supplicant incoherent-version-in-changelog 0.4.2-1 0.4.2-1.fc4

I'm going to fix rpmlint not to whine about this.


> > E: wpa_supplicant incoherent-subsys /etc/init.d/wpa_supplicant $PROG
[...]
> (you might want to install fedora-rpmdevtools and take a look at 
> /usr/share/fedora/template.init for an example of everything you want / 
> need in an init)

When using the template init file, rpmlint will still complain about
"incoherent-subsys ... $prog" as it doesn't grok shell variables.  Will
shut it up in the next (rpmlint) package revision.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]